Create brand
curl --request POST \
--url https://api.sendo.dev/v1/brand/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "<string>",
"entityName": "<string>",
"displayName": "<string>",
"ein": "<string>",
"website": "<string>",
"privacyLink": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
}
'import requests
url = "https://api.sendo.dev/v1/brand/create"
payload = {
"entityType": "<string>",
"entityName": "<string>",
"displayName": "<string>",
"ein": "<string>",
"website": "<string>",
"privacyLink": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityType: '<string>',
entityName: '<string>',
displayName: '<string>',
ein: '<string>',
website: '<string>',
privacyLink: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>'
})
};
fetch('https://api.sendo.dev/v1/brand/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"brand": {
"id": "h4cQ2gls",
"createdAt": "2023-12-12T12:33:33.630Z",
"updatedAt": "2023-12-12T12:33:33.630Z",
"status": "VERIFIED",
"entityType": "PRIVATE_PROFIT",
"vetted": true,
"trustScore": 73,
"displayName": "Sendo AI",
"entityName": "Winno Inc.",
"ein": "12-3456789",
"website": "https://sendo.dev",
"privacyLink": "https://sendo.dev/privacy",
"address": {
"street": "584 Castro St #2028",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114",
"country": "US"
},
"contact": {
"firstName": "John",
"lastName": "Smith",
"phone": "+12061234567",
"email": "support@sendo.dev"
}
}
}
{
"success": false,
"error": "EIN is required for brand"
}
Brand
Create brand
This endpoint creates a brand.
POST
/
v1
/
brand
/
create
Create brand
This endpoint lets resellers create brands programatically for their customers. Right now we only support API brand creation for private companies (
PRIVATE_PROFIT). Once the brand is created, you will immediately be able to create a campaign for the brand.
Body
string
required
Type of legal entity. Currently only
PRIVATE_PROFIT is supported.string
required
Name of the brand’s registered legal entity.
string
Display name or DBA name of the brand (optional)
string
required
EIN for the legal entity (must match the name).
string
required
Link to brand’s website or other web presence.
string
required
Street for the brand address (must match IRS records).
string
required
City for the brand address.
string
required
State for the brand address, e.g.
WA, CA, NY.string
required
Five-digit postal code for the brand address.
string
required
Two-letter country code for the address, e.g.
US, CA, GB.string
required
First name of support contact.
string
required
Last name of support contact.
string
required
Email address for support contact.
string
required
Phone number for support contact. Must be format.
Response
boolean
Whether the brand was created successfully.
object
The contents of the brand.
Show brand fields
Show brand fields
string
The ID of the created brand.
timestamp
The time that the brand was created.
timestamp
The time the brand was last updated.
string
string
number
Trust score if the brand is vetted.
string
The display name or DBA name of the brand.
string
The name of the brand’s legal entity.
string
The EIN for the brand’s legal entity.
string
The website URL for the brand.
string
The privacy policy URL for the brand.
string
string
Error message if the request fails.
Errors
If the request fails, it will return an HTTP error status code and anerror field in the body with details. Full list of status codes here.
{
"success": true,
"brand": {
"id": "h4cQ2gls",
"createdAt": "2023-12-12T12:33:33.630Z",
"updatedAt": "2023-12-12T12:33:33.630Z",
"status": "VERIFIED",
"entityType": "PRIVATE_PROFIT",
"vetted": true,
"trustScore": 73,
"displayName": "Sendo AI",
"entityName": "Winno Inc.",
"ein": "12-3456789",
"website": "https://sendo.dev",
"privacyLink": "https://sendo.dev/privacy",
"address": {
"street": "584 Castro St #2028",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114",
"country": "US"
},
"contact": {
"firstName": "John",
"lastName": "Smith",
"phone": "+12061234567",
"email": "support@sendo.dev"
}
}
}
{
"success": false,
"error": "EIN is required for brand"
}
⌘I

